Subject: [PATCH 2/2] ARM: dts: Add syscon phandle to the video-phy node for Exynos4

From: [email-masked] (Kukjin Kim)
Date: Tue, 03 Feb 2015 13:28:59 +0900

Sylwester Nawrocki wrote:
> Hi Kukjin,
Hi,

> On 16/01/15 18:30, Sylwester Nawrocki wrote:
> > This is required to fix regression after introducing the PMU device
> > nodes required for the PMU driver modified in commit
> > 14fc8b93d47323561edf5d482d4a4b3ee1b90286
> > ("ARM: EXYNOS: Add platform driver support for Exynos PMU").
> > This change is needed to make MIPI DSI displays and MIPI CSI-2
> > camera sensors working again on Exynos4 boards.
> >
> > Signed-off-by: Sylwester Nawrocki <[email-masked]>
> > ---
> >  arch/arm/boot/dts/exynos4.dtsi |    1 +
> >  1 file changed, 1 insertion(+)
> >
> > diff --git a/arch/arm/boot/dts/exynos4.dtsi b/arch/arm/boot/dts/exynos4.dtsi
> > index b8168f1..250ee50 100644
> > --- a/arch/arm/boot/dts/exynos4.dtsi
> > +++ b/arch/arm/boot/dts/exynos4.dtsi
> > @@ -76,6 +76,7 @@
> >  		compatible = "samsung,s5pv210-mipi-video-phy";
> >  		reg = <0x10020710 8>;
> >  		#phy-cells = <1>;
> > +		syscon = <&pmu_system_controller>;
> >  	};
> >
> >  	pd_mfc: mfc-power-domain at 10023C40 {
> 
Applied this.

> I'd like to remind you about a few pending dts patches I send to you, except
> the above one there are:
> 
> [PATCH V3 15/15] ARM: dts: Fix I2S1, I2S2 compatible for exynos4 SoCs
I thought Mark applied the whole series including above patch.
http://lists.infradead.org/pipermail/linux-arm-kernel/2015-January/316326.html
And I knew he didn't when I checked his comment on 13/15 patch ;)

> [PATCH] ARM: dts: Fix CLK_MOUT_CAMn parent clocks assignment for Trats2
Done.

> [PATCH] ARM: dts: Fix CLK_UART_ISP_SCLK clock assignment in exynos4x12.dtsi
Done.
> 
> and
> 
> [PATCH v2 14/16] ARM: dts: Exynos4 and Odroid X2/U3 sound device nodes update
> 
> but this one depends on ASoC patch:
> [PATCH V3 11/15] ASoC: samsung: i2s: Add clk provider DT binding documentation
> 
> hence it could be probably merged only after 3.20-rc1 release.
> 
+ Mark

I see. I'll take 13 to 15 in the series for late DT updates if Mark has no
objection. (I commented about that on the mail thread.)

Thanks for your reminder.

- Kukjin